Bug 507449 - SELinux is preventing fprintd (fprintd_t) "read" proc_t.
SELinux is preventing fprintd (fprintd_t) "read" proc_t.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: selinux-policy (Show other bugs)
6.0
All Linux
low Severity medium
: alpha
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 15:52 EDT by Jay Turner
Modified: 2015-01-07 19:16 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.6.32-24.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-22 10:37:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Turner 2009-06-22 15:52:39 EDT
Description of problem:
I would have reported this against fprintd but that doesn't appear to exist in the RHEL6 package listing yet (in Bugzilla) so reporting against selinux-policy.  Getting the following:

Summary:

SELinux is preventing fprintd (fprintd_t) "read" proc_t.

Detailed Description:

SELinux denied access requested by fprintd. It is not expected that this access
is required by fprintd and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:fprintd_t:s0-s0:c0.c1023
Target Context                system_u:object_r:proc_t:s0
Target Objects                stat [ file ]
Source                        fprintd
Source Path                   /usr/libexec/fprintd
Port                          <Unknown>
Host                          test1189.test.redhat.com
Source RPM Packages           fprintd-0.1-9.git04fd09cfa.fc11
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.12-39.fc11
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     test1189.test.redhat.com
Platform                      Linux test1189.test.redhat.com
                              2.6.29.4-1.el6.x86_64 #1 SMP Fri Jun 5 10:28:37
                              EDT 2009 x86_64 x86_64
Alert Count                   20
First Seen                    Mon Jun 22 13:06:13 2009
Last Seen                     Mon Jun 22 15:14:53 2009
Local ID                      0e029d14-6d0e-481e-923d-690fb38c859e
Line Numbers                  

Raw Audit Messages            

node=test1189.test.redhat.com type=AVC msg=audit(1245698093.524:58225): avc:  denied  { read } for  pid=26247 comm="fprintd" name="stat" dev=proc ino=4026532004 scontext=system_u:system_r:fprintd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:proc_t:s0 tclass=file

node=test1189.test.redhat.com type=AVC msg=audit(1245698093.524:58225): avc:  denied  { open } for  pid=26247 comm="fprintd" name="stat" dev=proc ino=4026532004 scontext=system_u:system_r:fprintd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:proc_t:s0 tclass=file

node=test1189.test.redhat.com type=SYSCALL msg=audit(1245698093.524:58225): arch=c000003e syscall=2 success=yes exit=3 a0=3b3c733d1e a1=80000 a2=1fffc84ea85b a3=1 items=0 ppid=26246 pid=26247 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="fprintd" exe="/usr/libexec/fprintd" subj=system_u:system_r:fprintd_t:s0-s0:c0.c1023 key=(null)

Version-Release number of selected component (if applicable):
fprintd-0.1-9.git04fd09cfa.fc11.x86_64
selinux-policy-3.6.12-39.fc11.noarch


How reproducible:
Happens pretty regularly post-installation.

Steps to Reproduce:
1. Install and log into X
2. Wait for the denials
3.


Additional info:
The machine in question (test1189.test) doesn't have a fingerprint reader.  It is running in Enforcing mode.
Comment 1 Daniel Walsh 2009-06-22 18:11:33 EDT
You can add these rules now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.12-57.fc11
Comment 2 Jay Turner 2009-10-22 10:32:51 EDT
I'm not seeing this issue with selinux-policy-3.6.32-24.el6.  Closing out.

Note You need to log in before you can comment on or make changes to this bug.